Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.rmi
Class RemoteException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  weblogic.common.T3Exception
                      weblogic.rmi.RemoteException

All Implemented Interfaces:
  Serializable, weblogic.utils.NestedThrowable

Direct Known Subclasses:
  AccessException, ConnectException, ConnectIOException, MarshalException, NoSuchObjectException, ServerError, ServerException, ServerRuntimeException, StubNotFoundException, UnexpectedException, UnknownHostException, UnmarshalException

Deprecated. 7.0.0.0 Replaced by java.rmi.RemoteException

    public class RemoteException

extends T3Exception

Class for RemoteExceptions, the general exception thrown by any remotely invoked method.

All interfaces for remote objects must throw RemoteException.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary
`Throwable` | `detail` Deprecated. Throwable nested within the RemoteException.

Constructor Summary
`RemoteException()` Deprecated. Constructs a RemoteException with no message.
`RemoteException(String s)` Deprecated. Constructs a RemoteException with the specified message.
`RemoteException(String s, Throwable t)` Deprecated. Constructs a RemoteException with the specified message and nested throwable object.

Method Summary
`String` | `getMessage()` Deprecated. Returns the message including the message from the nested exception if there is one.

Methods inherited from class weblogic.common.T3Exception
`getNested, getNestedException, printStackTrace, printStackTrace, setNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detail

    public Throwable detail

  Deprecated.
  Throwable nested within the RemoteException.

Constructor Detail

### RemoteException

    public RemoteException()

  Deprecated.
  Constructs a RemoteException with no message.

### RemoteException

    public RemoteException(String s)

  Deprecated.
  Constructs a RemoteException with the specified message.

  Parameters:
    `s` - the string message.

### RemoteException

    public RemoteException(String s,
                           Throwable t)

  Deprecated.
  Constructs a RemoteException with the specified message and nested throwable object.

  Parameters:
    `s` - the string message.
    `ex` - the throwable object nested in this exception.

Method Detail

### getMessage

    public String getMessage()

  Deprecated.
  Returns the message including the message from the nested exception if there is one.

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD